package com.example.jaxb;

import java.io.File;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Unmarshaller;

public class UnMarshlingExample {
	public static void main(String[] args) {

		try {

			File file = new File("E:\\employee.xml");
			JAXBContext jaxbContext = JAXBContext.newInstance(Employee.class);

			Unmarshaller jaxbUnmarshaller = jaxbContext.createUnmarshaller();
			Employee employee = (Employee) jaxbUnmarshaller.unmarshal(file);
			System.out.println("Employee Name: " + employee.getName());
			System.out.println("Employee Department: "
					+ employee.getDepartment());
			System.out.println("Employee email: " + employee.getEmail());
			System.out.println("Employee Salary: " + employee.getSalary());

		} catch (JAXBException e) {
			e.printStackTrace();
		}

	}
}
