package com.example.jaxb;

import java.io.File;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;

public class MarshlingTest {
	public static void main(String[] args) {
		Employee employee = new Employee();
		employee.setId(101);
		employee.setName("Mukesh");
		employee.setDepartment("Finance");
		employee.setSalary(50000);
		employee.setEmail("m@gmail.com");
		try {
			 
			File file = new File("E:\\employee.xml");
			JAXBContext jaxbContext = JAXBContext.newInstance(Employee.class);
			Marshaller jaxbMarshaller = jaxbContext.createMarshaller();
	 
			// output pretty printed
			jaxbMarshaller.setProperty(Marshaller.JAXB_FORMATTED_OUTPUT, true);
	 
			jaxbMarshaller.marshal(employee, file);
			jaxbMarshaller.marshal(employee, System.out);
	 
		      } catch (JAXBException e) {
			e.printStackTrace();
		      }
	 
		}
	}
	
